For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all milestone templates of the given project template.
      • POSTCreates a new milestone template for the given project template.
      • GETReturns a milestone by id for the given project template.
      • PUTUpdates a milestone template for the given project template.
      • DELDeletes a milestone for the given project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Milestone Templates

Deletes a milestone for the given project template.

DELETE
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/milestones/:milestoneId
DELETE
/api/v1/projecttemplates/:projectTemplateId/milestones/:milestoneId
$curl -X DELETE https://api.awork.com/api/v1/projecttemplates/projectTemplateId/milestones/milestoneId \
> -H "Authorization: Bearer <token>"
<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Returns all automations for a project template.

Next
Built with
Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.
milestoneIdstringRequiredformat: "uuid"
The id of the milestone.

Response

No Content